package com.xinelu.manage.mapper.projectgroup;

import com.xinelu.manage.domain.projectgroup.ProjectGroup;
import java.util.List;
import org.apache.ibatis.annotations.Param;


/**
 * 检测项目分组Mapper接口
 *
 * @author haown
 * @date 2024-03-11
 */
public interface ProjectGroupMapper {
    /**
     * 查询检测项目分组
     *
     * @param id 检测项目分组主键
     * @return 检测项目分组
     */
    public ProjectGroup selectProjectGroupById(Long id);

    /**
     * 查询检测项目分组列表
     *
     * @param projectGroup 检测项目分组
     * @return 检测项目分组集合
     */
    public List<ProjectGroup> selectProjectGroupList(ProjectGroup projectGroup);

    /**
     * 新增检测项目分组
     *
     * @param projectGroup 检测项目分组
     * @return 结果
     */
    public int insertProjectGroup(ProjectGroup projectGroup);

	int insertBatch(@Param("projectGroupList") List<ProjectGroup> projectGroupList);

    /**
     * 修改检测项目分组
     *
     * @param projectGroup 检测项目分组
     * @return 结果
     */
    public int updateProjectGroup(ProjectGroup projectGroup);

    /**
     * 删除检测项目分组
     *
     * @param id 检测项目分组主键
     * @return 结果
     */
    public int deleteProjectGroupById(Long id);

    /**
     * 批量删除检测项目分组
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectGroupByIds(Long[] ids);

	List<ProjectGroup> hasSameCodeGroup(@Param("id")Long id, @Param("groupCode")String groupCode);
}
